Google is committed to advancing racial equity for Black communities. See how.

Apigee Edge for Private Cloud FAQ

This FAQ provides important information about Apigee Edge for Private Cloud 4.50.00 and future Private Cloud releases.

What new features are planned for release 4.50.00?

  • Zookeeper upgrade
  • Availability of the Drupal 8 portal, and EOL of Drupal 7
  • Backup script changes to support SSO and halt restart of API runtime components

What is the migration path for Drupal 7 Dev Portals to Drupal 8 Dev Portals?

Drupal 8 has succeeded Drupal 7 as the Apigee-recommended developer portal for Private Cloud. Because Drupal 7 itself will reach the end of its long term support in November, 2021, the Apigee modules for Drupal 7 will not be supported as of November, 2021. While still available, the install/upgrade scripts for Drupal 7 should no longer be used and will be removed in a future release.

To learn about the Drupal 8 modules that integrate with Apigee, see: Build your portal using Drupal 8.

Will the classic UI still be supported on Apigee Edge for Private Cloud 4.50.00?

Classic UI will continue to ship as part of Apigee Edge for Private Cloud 4.50.00.

What OS versions are supported with the 4.50.00 release and what OS versions support are we dropping?

Google plans for Apigee Edge for Private Cloud 4.50.00 to support the following OS platforms. See also Supported software and supported versions:

  • Red Hat Enterprise Linux (Intel 64-bit): 7.5, 7.6, 7.7, 7.8
  • CentOS (Intel 64-bit): 7.5, 7.6, 7.7, 7.8
  • Oracle Linux (Intel 64-bit): 7.5, 7.6, 7.7, 7.8
  • Amazon Linux AMI (Amazon Linux AMI 2 is not supported)

If you have a requirement for OS version support, please file a feature enhancement request with Apigee Support. Note that feature enhancement requests will be considered for future releases, and Google has no obligation to include support for them in current or future releases.

What versions of the JDK is supported in this release?

Google plans to support the following JDK versions in the release of Apigee Edge for Private Cloud 4.50.00:

  • Oracle JDK 8 (support charges from Oracle might be applicable)
  • OpenJDK 8

What are the supported upgrade paths to Apigee Edge for Private Cloud 4.50.00?

Google will support upgrades from Apigee versions 18.05, 19.01, and 19.06 to the 4.50.00 release as long as the planet topology is listed in the Apigee documentation as a supported topology. Topologies outside of those documented which are considered customized will be supported by best effort. Apigee Support reserves the right to suggest that complex customization will require a Customer Success partner engagement for customized solutions.

Versions of Apigee Edge for Private Cloud older than 18.05 are officially unsupported. Google recommends working with a Customer Success partner to upgrade any versions older than 18.05.

What are some example customizations that may require a Customer Success partner engagement?

  • Versions of Apigee Edge for Private Cloud older than 18.05 which are officially unsupported (ie. versions 4.18.01, 4.17.09, 4.17.05, 4.17.01, 4.16.09, etc.)
  • Multimaster replication with more than 2 OpenLDAP servers
  • Postgres replication with more than 2 Postgres servers
  • Topology expansions that exceed more than 2 data centers (DCs)
  • Cassandra ring topologies that are not in multiple of 3 nodes
  • Topologies that does not meet minimum hardware requirements
  • Usage of SAN disks with Cassandra nodes
  • Unsupported configuration changes to pwpolicy in OpenLDAP
  • Unsupported configuration changes to replication factor in Cassandra
  • Changes to data schema in Cassandra or Postgres
  • Complex historical operations such as prior decommissioning of DCs and expansions of DCs that may require custom solutions.

This list is not an exhaustive list of all possible customizations. Apigee Support reserves the rights to provide best effort support and require customers to engage with a Customer Success partner for cases of customized topologies and configurations.